import request from '@/utils/request'

// 查询客户电子会员卡充值优惠设置列表
export function listSetting(query) {
  return request({
    url: '/customer/cardsetting/list',
    method: 'get',
    params: query
  })
}

// 查询客户电子会员卡充值优惠设置详细
export function getSetting(id) {
  return request({
    url: '/customer/cardsetting/' + id,
    method: 'get'
  })
}

// 新增客户电子会员卡充值优惠设置
export function addSetting(data) {
  return request({
    url: '/customer/cardsetting',
    method: 'post',
    data: data
  })
}

// 修改客户电子会员卡充值优惠设置
export function updateSetting(data) {
  return request({
    url: '/customer/cardsetting',
    method: 'put',
    data: data
  })
}

// 删除客户电子会员卡充值优惠设置
export function delSetting(id) {
  return request({
    url: '/customer/cardsetting/' + id,
    method: 'delete'
  })
}

// 导出客户电子会员卡充值优惠设置
export function exportSetting(query) {
  return request({
    url: '/customer/cardsetting/export',
    method: 'get',
    params: query
  })
}

// 查询客户电子会员卡充值优惠设置详细
export function selectCustomerCardSetting(query) {
  return request({
    url: '/customer/cardsetting/selectCustomerCardSetting' ,
    method: 'get',
    params: query
  })
}